## trunk?format=zip&rev=878

=== Makefile ===
#
# Making the VNC applet.
#

CP = cp
JC = javac
JCFLAGS = -target 1.1
JAR = jar
ARCHIVE = VncViewer.jar
MANIFEST = MANIFEST.MF
PAGES = index.vnc
INSTALL_DIR = /usr/local/vnc/classes

CLASSES = VncViewer.class RfbProto.class AuthPanel.class VncCanvas.class \
	  VncCanvas2.class \
	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
	  DesCipher.class CapabilityInfo.class CapsContainer.class \
	  RecordingFrame.class SessionRecorder.class \
	  SocketFactory.class HTTPConnectSocketFactory.class \
	  HTTPConnectSocket.class ReloginPanel.class \
	  InStream.class MemInStream.class ZlibInStream.class

SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
	  VncCanvas2.java \
	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
	  DesCipher.java CapabilityInfo.java CapsContainer.java \
	  RecordingFrame.java SessionRecorder.java \
	  SocketFactory.java HTTPConnectSocketFactory.java \
	  HTTPConnectSocket.java ReloginPanel.java \
	  InStream.java MemInStream.java ZlibInStream.java

all: $(CLASSES) $(ARCHIVE)

$(CLASSES): $(SOURCES)
	$(JC) $(JCFLAGS) -O $(SOURCES)

$(ARCHIVE): $(CLASSES) $(MANIFEST)
	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES)

install: $(CLASSES) $(ARCHIVE)
	$(CP) $(CLASSES) $(ARCHIVE) $(PAGES) $(INSTALL_DIR)

export:: $(CLASSES) $(ARCHIVE) $(PAGES)
	@$(ExportJavaClasses)

clean::
	$(RM) *.class *.jar

=== packages/sipb-xen-console/debian/changelog ===
sipb-xen-console (7.7) unstable; urgency=low

  * sipb_xen_database -> invirt.database
  * use invirt config in sipb-xen-consolefs
  * added decomposition of DB URI
  * generate nss-pgsql.conf and issue.net.no_tkt from debian init script

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 01:13:37 -0400

sipb-xen-console (7.6) unstable; urgency=low

  * Use invirt-getconf to generate config.

 -- Greg Price <price@mit.edu>  Wed, 30 Jul 2008 22:28:33 -0400

sipb-xen-console (7.5) unstable; urgency=low

  * Generate config at start/reload from /etc/invirt/*.

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 18:29:43 -0400

sipb-xen-console (7.4) unstable; urgency=low

  * pull in sipb-xen-base

 -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 17:41:01 -0400

sipb-xen-console (7.3) unstable; urgency=low

  * update for current config-package-dev

 -- Greg Price <price@mit.edu>  Sun, 20 Jul 2008 15:41:50 -0400

sipb-xen-console (7.2) unstable; urgency=low

  * Multiplex consoles on multiple hosts.
  
 -- Greg Price <price@mit.edu>  Sun, 13 Jul 2008 08:52:18 -0400

sipb-xen-console (7.1) unstable; urgency=low

  * Remember to actually divert the conserver config

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 01:48:05 -0400

sipb-xen-console (7) unstable; urgency=low

  * Use conserver instead of ssh to connect to black-mesa

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 00:52:05 -0400

sipb-xen-console (6.2) unstable; urgency=low

  * /etc/modules is no longer managed by this package

 -- SIPB Xen Project <sipb-xen@mit.edu>  Tue,  1 Apr 2008 22:25:09 -0400

sipb-xen-console (6.1) unstable; urgency=low

  * Don't add the "d_" to the domain name on this side - do it on the
    black-mesa side

 -- SIPB Xen Project <sipb-xen@mit.edu>  Tue, 01 Apr 2008 22:20:47 -0400

sipb-xen-console (6) unstable; urgency=low

  * modprobe fuse before attaching consolefs
  * Revert code to block dropping privileges to user accounts
  * Add configuration to accept Kerberos config for users and error on
    non-root users if Kerberos authentication fails

 -- SIPB Xen Project <sipb-xen@mit.edu>  Tue, 01 Apr 2008 20:03:11 -0400

sipb-xen-console (5.1) unstable; urgency=low

  * Package should create /consolefs so that sipb-xen-consolefs has
    somewhere to mount to

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Sun, 30 Mar 2008 18:20:02 -0400

sipb-xen-console (5) unstable; urgency=low

  * modprobe fuse at boot

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Sun, 30 Mar 2008 17:57:36 -0400

sipb-xen-console (4.1) unstable; urgency=low

  * It should not be trivial for us to access the serial console of
    users' machines

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 17:42:04 -0400

sipb-xen-console (4) unstable; urgency=low

  * Added comments to sipb-xen-consolefs
  * Added support for symlinks in the realpath
  * Changed sipb-xen-consolefs to use syslog instead of printf debugging

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 14:17:59 -0400

sipb-xen-console (3.2) unstable; urgency=low

  * Fixing a bug in sipb-xen-consolefs ('@' is not re-added to realms
    in the .k5login

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 06:39:30 -0400

sipb-xen-console (3.1) unstable; urgency=low

  * Clean up the motd a bit
  * Add dependency on sipb-xen-chrony-config to make sure the clock is
    staying synced

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 06:33:55 -0400

sipb-xen-console (3) unstable; urgency=low

  * Make the motd useful instead of turning it off

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 06:14:23 -0400

sipb-xen-console (2) unstable; urgency=low

  * Actually functional release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 05:07:43 -0400

sipb-xen-console (1) unstable; urgency=low

  * Initial release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 01:08:50 -0400

=== packages/sipb-xen-dev/debian/changelog ===
sipb-xen-dev (21) unstable; urgency=low

  * Depend on sipb-xen-base
  * don't require packages be signed on upload

 --  <hartmans@xvm.mit.edu>  Tue,  5 Aug 2008 21:23:44 +0000

sipb-xen-dev (20) unstable; urgency=low

  * dumb bugfix in init script

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:11:04 -0400

sipb-xen-dev (19) unstable; urgency=low

  * use CDBS, which doesn't forget dh_installinit like I did

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 02:02:41 -0400

sipb-xen-dev (18) unstable; urgency=low

  * sign the packages, getting keyid from invirt.config

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 00:43:58 -0400

sipb-xen-dev (17) unstable; urgency=low

  * use reprepro more correctly (and include in both stable and unstable)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:47:55 -0400

sipb-xen-dev (16) unstable; urgency=low

  * usage as "sx-build-release <package-name>", no "trunk/packages"
  * clobber the build-release/<package-name> directory automatically

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 23:12:03 -0400

sipb-xen-dev (15) unstable; urgency=low

  * Stop requiring the current directory to be in the checkout.
  * Don't do unnecessary write operations
    (hence prompt less often for a password.)

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 22:45:42 -0400

sipb-xen-dev (14) unstable; urgency=low

  * Use the shallower directory structure.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 17:25:20 -0400

sipb-xen-dev (13) unstable; urgency=low

  * Update the svn uri automatically.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 21:38:37 -0400

sipb-xen-dev (12) unstable; urgency=low

  * Update the svn uri to point to the new repository

 -- Nelson Elhage <nelhage@mit.edu>  Wed, 15 Aug 2007 22:58:49 -0400

sipb-xen-dev (11) unstable; urgency=low

  * Use svn export not co to avoid installing .svn directories

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:15:58 -0400

sipb-xen-dev (10) unstable; urgency=low

  * Use svn export not svn co so we don't get .svn directories installed

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 19:14:51 -0400

sipb-xen-dev (9) unstable; urgency=low

  * Add /debian to apache config

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:54:43 -0400

sipb-xen-dev (8) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:29:54 -0400

sipb-xen-dev (7) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:27:59 -0400

sipb-xen-dev (6) unstable; urgency=low

  * Can't use ..

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:26:17 -0400

sipb-xen-dev (5) unstable; urgency=low

  * Bug fix

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:25:00 -0400

sipb-xen-dev (4) unstable; urgency=low

  * Blah

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 17:21:28 -0400

sipb-xen-dev (3) unstable; urgency=low

  * Working sx-build-release
  

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 16:58:46 -0400

sipb-xen-dev (2) unstable; urgency=low

  * Add sipb-xen-repository apache config

 -- Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 14:04:03 -0400

sipb-xen-dev (1) unstable; urgency=low

  * Add repository config
  * update dependencies

 --  Sam Hartman <hartmans@debian.org>  Sun, 15 Jul 2007 13:43:08 -0400

sipb-xen-dev (0) unstable; urgency=low

  * Initial Release.

 -- unknown <hartmans@debian.org>  Fri,  6 Jul 2007 00:52:28 -0400

=== packages/sipb-xen-dns/debian/changelog ===
sipb-xen-dns (1.02) unstable; urgency=low

  * sipb_xen_database -> invirt.database
  * use invirt.config in dnsserver.py

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:18:40 -0400

sipb-xen-dns (1.01) unstable; urgency=low

  * update SOA record for the xvm.mit.edu order of things

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 02:10:03 -0400

sipb-xen-dns (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 24 Feb 2008 20:45:28 -0500

=== packages/sipb-xen-remctl-auto/debian/changelog ===
sipb-xen-remctl-auto (1.0.19) unstable; urgency=low

  * simplify the init script a la sipb-xen-dev

 -- Yang Zhang <y_z@mit.edu>  Thu,  7 Aug 2008 22:09:28 -0400

sipb-xen-remctl-auto (1.0.18) unstable; urgency=low

  * use invirt config in sipb-xen-lvm
  * added .init script to generate /etc/remctl/acl/remote
  * sipb_xen_database -> invirt.database

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:46:28 -0400

sipb-xen-remctl-auto (1.0.17) unstable; urgency=low

  * catch another version of the xenstore error in the listvms race

 -- Greg Price <price@mit.edu>  Wed, 23 Jul 2008 01:12:01 -0400

sipb-xen-remctl-auto (1.0.16) unstable; urgency=low

  * support YAML as well as JSON (broder, quentin, andersk, long ago)
  * fix a race in listvms when a machine is shutting down

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 23:46:49 -0400

sipb-xen-remctl-auto (1.0.15) unstable; urgency=low

  * Compute time differences on server to avoid drift

 -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:58:04 -0400

sipb-xen-remctl-auto (1.0.14) unstable; urgency=low

  * Use more efficient python API to get VM information, and return it
    in a Python dict structure.

 -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:29:03 -0400

sipb-xen-remctl-auto (1.0.13) unstable; urgency=low

  * Switch to just using the remote server.

 -- Greg Price <price@mit.edu>  Sat, 10 May 2008 21:26:42 -0400

sipb-xen-remctl-auto (1.0.12) unstable; urgency=low

  * Remove an obsolete line from the remctl config.

 -- Greg Price <price@mit.edu>  Sun,  4 May 2008 22:36:07 -0400

sipb-xen-remctl-auto (1.0.11) unstable; urgency=low

  * Close file descriptors for update-conserver on destroy/shutdown.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 21:28:12 -0400

sipb-xen-remctl-auto (1.0.10) unstable; urgency=low

  * Delay running sipb-xen-update-conserver

 -- Evan Broder <broder@mit.edu>  Mon, 21 Apr 2008 20:26:28 -0400

sipb-xen-remctl-auto (1.0.9) unstable; urgency=low

  * Change the way that conserver is updated

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:36:04 -0400

sipb-xen-remctl-auto (1.0.8) unstable; urgency=low

  * Add support for updating conserver when VMs are turned on and off

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 00:40:23 -0400

sipb-xen-remctl-auto (1.0.7) unstable; urgency=low

  * changes for installer system

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun, 28 Oct 2007 22:47:59 -0400

sipb-xen-remctl-auto (1.0.6) unstable; urgency=low

  * get rid of old "vmboot" call
  * make "create" not destroy running machines.

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sat, 27 Oct 2007 16:54:26 -0400

sipb-xen-remctl-auto (1.0.5) unstable; urgency=low

  * move to common /usr/sbin/sipb-xen-* naming
  * get rid of dispatch.sh hack
  * fix "reboot" to "destroy then create" always, since that's what users will expect
  * change remctl calls interface in various ways

 -- Tim Abbott <tabbott@mit.edu>  Tue, 16 Oct 2007 00:28:36 -0400

sipb-xen-remctl-auto (1.0.4) unstable; urgency=low

  * Fix typos.

 -- Anders Kaseorg <andersk@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 04:47:37 -0400

sipb-xen-remctl-auto (1.0.3) unstable; urgency=low

  * Prepend d_ to database VMs.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:34:56 -0400

sipb-xen-remctl-auto (1.0.2) unstable; urgency=low

  * Added web interface support code.
  * Move things from /etc/remctl/sipb-xen-auto/bin to /usr/sbin
  * Quoted lots of variables

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun,  7 Oct 2007 17:23:40 -0400

sipb-xen-remctl-auto (1.0.1) unstable; urgency=low

  * Stop scaring me with unquoted variables.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 05 Aug 2007 22:11:02 -0400

sipb-xen-remctl-auto (1.0) unstable; urgency=low

  * Initial release.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 15 Jul 2007 19:37:05 -0400

=== packages/sipb-xen-www/debian/changelog ===
sipb-xen-www (3.7) unstable; urgency=low

  uncommitted changes in /etc/apache2 on xvm.mit.edu:
  * rewrite static/ uris for admin mode
  * allow ~ uris

  * take instance from keytab in k5start apache2.init wrapper

 -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 01:22:47 -0400

sipb-xen-www (3.6) unstable; urgency=low

  * Add Anders' kstart-using apache2 init script.
  * Add some dependencies the svn site needs.
  * Use daemon/xvm-2.mit.edu for svn site, as it's on xvm-2 now

 -- Greg Price <price@mit.edu>  Fri,  1 Aug 2008 20:23:50 -0400

sipb-xen-www (3.5) unstable; urgency=low

  * Use FCGI.
  * Lengthen timeouts to let the autoinstaller work.

 -- Greg Price <price@mit.edu>  Sun, 15 Jun 2008 21:51:59 -0400

sipb-xen-www (3.4) unstable; urgency=low

  * xvm.mit.edu rather than sipb-xen-dev.mit.edu

 -- Greg Price <price@mit.edu>  Sun, 11 May 2008 00:49:58 -0400

sipb-xen-www (3.3) unstable; urgency=low

  * Fix the SVN server to point to the new AFS mountpoint

 -- Evan Broder <broder@mit.edu>  Fri,  9 May 2008 02:37:21 -0400

sipb-xen-www (3.2) unstable; urgency=low

  * Check in (part of?) the Apache config.
  * Modify it to allow an informative front page without certs.
  * Add that front page.

 -- Greg Price <price@mit.edu>  Fri,  9 May 2008 02:11:04 -0400

sipb-xen-www (3.1) unstable; urgency=low

  * Fixed the crontab definition

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:49:32 -0400

sipb-xen-www (3) unstable; urgency=low

  * Refresh the ACL cache every 5 minutes

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 05:38:16 -0400

sipb-xen-www (2) unstable; urgency=low

  * Create sipb-xen group in preinst script.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Sat, 29 Mar 2008 18:45:02 -0400

sipb-xen-www (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 22:43:12 -0500

=== packages/sipb-xen-autoinstaller/debian/control ===
Source: sipb-xen-autoinstaller
Section: net
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), config-package-dev (>= 4.5~)
Standards-Version: 3.7.2

Package: sipb-xen-autoinstaller-guest
Architecture: all
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Depends: ${misc:Depends}, patch, xen-tools, busybox-static
Conflicts: sysvinit, upstart
Description: SIPB Xen automatic guest-image installer system (guest)
 This is our automatic guest-image installer system.

Package: sipb-xen-autoinstaller-host
Architecture: all
Depends: ${misc:Depends}, sipb-xen-host-master
Description: SIPB Xen automatic guest-image installer system (host)
 This is our automatic guest-image installer system.

=== packages/sipb-xen-console/debian/control ===
Source: sipb-xen-console
Section: servers
Priority: important
Maintainer: sipb-xen@mit.edu
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), config-package-dev (>= 4.5~)
Standards-Version: 3.7.2

Package: sipb-xen-console
Architecture: all
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Depends: sipb-xen-base, ${shlibs:Depends}, ${misc:Depends}, conserver-client, daemon, debathena-kerberos-config, fuse-utils, libnss-pgsql1, nscd, openssh-server, python-fuse, sipb-xen-chrony-config, sipb-xen-database-common, remctl-server
Description: SIPB Xen serial console server
 This package  should be installed on sipb-xen-console
 It makes sure that necessary tools are available.

=== packages/sipb-xen-database/debian/control ===
Source: sipb-xen-database
Section: net
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), python-support (>= 0.5.3)
Standards-Version: 3.7.2

Package: sipb-xen-database-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-sqlalchemy, python-psycopg2
Provides: ${python:Provides}
Description: Installs the SIPB Xen database schema files
 This contains the python modules to access the SIPB Xen database

Package: sipb-xen-database-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, postgresql-8.1, python-sqlalchemy, python-psycopg2, sipb-xen-database-common, adduser
Description: Installs the SIPB Xen database server
 This tracks all the user VMs and is accessed from the VM host

Package: sipb-xen-database-client
Architecture: all
Depends: ${misc:Depends}, postgresql-client-8.1, python-sqlalchemy, python-psycopg2, sipb-xen-database-common, python
Description: Installs the SIPB Xen database configuration file
 This is a python xen configuration script that talks to the database
 to dynamically load xen domU configuration information

=== packages/sipb-xen-dev/debian/control ===
Source: sipb-xen-dev
Section: servers
Priority: important
Maintainer: sipb-xen@mit.edu
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: sipb-xen-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev-el, emacs21, reprepro, apache2, postfix, screen, dh-make, screen, , fakeroot, pbuilder, sipb-xen-base
Description: SIPB Xen development server 
 This package  should be installed on sipb-xen-dev
 It makes sure that necessary tools are available.

=== packages/sipb-xen-remctl-auto/debian/control ===
Source: sipb-xen-remctl-auto
Section: net
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0)
Standards-Version: 3.7.2

Package: sipb-xen-remctl-auto
Architecture: all
Depends: ${misc:Depends}, remctl-server, sipb-xen-console-server, python-cjson, python-yaml
Description: Installs the SIPB Xen automatic remctl management system
 This is our automatic remctl configuration management system.
